AIHistory (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.AIHistory class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class AIHistory

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.autoinventory.AIHistory

All Implemented Interfaces:
  java.io.Serializable

    public class AIHistory

extends PersistedObject

Pojo for hibernate hbm mapping file

See Also:
  Serialized Form

Constructor Summary
`AIHistory()` default constructor

Method Summary
`java.lang.Integer` | `getBatchId()`
`byte[]` | `getConfig()`
`ScanConfigurationCore` | `getConfigObj()`
`long` | `getDateScheduled()`
`java.lang.String` | `getDescription()`
`long` | `getDuration()`
`long` | `getEndTime()`
`java.lang.Integer` | `getEntityId()`
`java.lang.String` | `getEntityName()`
`java.lang.Integer` | `getEntityType()`
`java.lang.Integer` | `getGroupId()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getScanDesc()`
`java.lang.String` | `getScanName()`
`java.lang.Boolean` | `getScheduled()`
`long` | `getStartTime()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getSubject()`
`boolean` | `isScheduled()`
`void` | `setBatchId(java.lang.Integer batchId)`
`void` | `setConfig(byte[] config)`
`void` | `setConfigObj(ScanConfigurationCore core)`
`void` | `setDateScheduled(long dateScheduled)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDuration(long duration)`
`void` | `setEndTime(long endTime)`
`void` | `setEntityId(java.lang.Integer entityId)`
`void` | `setEntityName()`
`void` | `setEntityType(java.lang.Integer entityType)`
`void` | `setGroupId(java.lang.Integer groupId)`
`void` | `setMessage(java.lang.String message)`
`void` | `setScanDesc(java.lang.String scanDesc)`
`void` | `setScanName(java.lang.String scanName)`
`void` | `setScheduled(boolean scheduled)`
`void` | `setScheduled(java.lang.Boolean scheduled)`
`void` | `setStartTime(long startTime)`
`void` | `setStatus(java.lang.String status)`
`void` | `setSubject(java.lang.String subject)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIHistory

    public AIHistory()

  default constructor

Method Detail

### getGroupId

    public java.lang.Integer getGroupId()

### setGroupId

    public void setGroupId(java.lang.Integer groupId)

### getBatchId

    public java.lang.Integer getBatchId()

### setBatchId

    public void setBatchId(java.lang.Integer batchId)

### getEntityType

    public java.lang.Integer getEntityType()

### setEntityType

    public void setEntityType(java.lang.Integer entityType)

### getEntityId

    public java.lang.Integer getEntityId()

### setEntityId

    public void setEntityId(java.lang.Integer entityId)

### getSubject

    public java.lang.String getSubject()

### setSubject

    public void setSubject(java.lang.String subject)

### isScheduled

    public boolean isScheduled()

### getScheduled

    public java.lang.Boolean getScheduled()

### setScheduled

    public void setScheduled(boolean scheduled)

### setScheduled

    public void setScheduled(java.lang.Boolean scheduled)

### getDateScheduled

    public long getDateScheduled()

### setDateScheduled

    public void setDateScheduled(long dateScheduled)

### getStartTime

    public long getStartTime()

### setStartTime

    public void setStartTime(long startTime)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String status)

### getEndTime

    public long getEndTime()

### setEndTime

    public void setEndTime(long endTime)

### getDuration

    public long getDuration()

### setDuration

    public void setDuration(long duration)

### getScanName

    public java.lang.String getScanName()

### setScanName

    public void setScanName(java.lang.String scanName)

### getScanDesc

    public java.lang.String getScanDesc()

### setScanDesc

    public void setScanDesc(java.lang.String scanDesc)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getMessage

    public java.lang.String getMessage()

### setMessage

    public void setMessage(java.lang.String message)

### getConfig

    public byte[] getConfig()

### setConfig

    public void setConfig(byte[] config)

### getEntityName

    public java.lang.String getEntityName()

### setEntityName

    public void setEntityName()

### getConfigObj

    public ScanConfigurationCore getConfigObj()
                                       throws AutoinventoryException

  Throws:
    `AutoinventoryException`

### setConfigObj

    public void setConfigObj(ScanConfigurationCore core)
                      throws AutoinventoryException

  Throws:
    `AutoinventoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.